version: '3.9'

services:
  niki_stage_redis:
    image: bitnami/redis:6.2
    container_name: niki_stage_redis
    restart: always
    command: redis-server --loglevel warning --protected-mode no
    environment:
      REDIS_PASSWORD: ${COMPOSE_REDIS_PASSWORD?error}
    networks:
      - niki-stage
    expose:
      - "6379"
    volumes:
      - niki__stage_redis_data:/data

volumes:
  niki__stage_redis_data:
    driver: local

networks:
  niki-stage:
    external: true